polybori::EliminationDegreeAdder< ExponentVectorType > Class Template Reference

## Public Member Functions

| EliminationDegreeAdder (int min)
void | operator() (const ExponentVectorType &ev)

## Public Attributes

int | min
int | sum

## Constructor & Destructor Documentation

template<class ExponentVectorType >

polybori::EliminationDegreeAdder< ExponentVectorType >::EliminationDegreeAdder | ( | int | min) |  |

inline

References polybori::EliminationDegreeAdder< ExponentVectorType >::min, and polybori::EliminationDegreeAdder< ExponentVectorType >::sum.

## Member Function Documentation

template<class ExponentVectorType >

void polybori::EliminationDegreeAdder< ExponentVectorType >::operator() | ( | const ExponentVectorType & | ev) |  |

inline

References polybori::EliminationDegreeAdder< ExponentVectorType >::min, and polybori::EliminationDegreeAdder< ExponentVectorType >::sum.

## Member Data Documentation

template<class ExponentVectorType >

int polybori::EliminationDegreeAdder< ExponentVectorType >::min

Referenced by polybori::EliminationDegreeAdder< ExponentVectorType >::EliminationDegreeAdder(), and polybori::EliminationDegreeAdder< ExponentVectorType >::operator()().

template<class ExponentVectorType >

int polybori::EliminationDegreeAdder< ExponentVectorType >::sum

Referenced by polybori::EliminationDegreeAdder< ExponentVectorType >::EliminationDegreeAdder(), and polybori::EliminationDegreeAdder< ExponentVectorType >::operator()().

The documentation for this class was generated from the following file:

- BoolePolynomial.cc